# Create or replace a credentialing request checklist Creates or replaces a checklist for a credentialing request. Endpoint: PUT /credentialing-requests/{requestId}/checklist Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `requestId` (string, required) ## Request fields (application/json): - `notes` (string) The notes of this credentialing request checklist if any. - `items` (array) The items of this credentialing request checklist if any. - `items.name` (string, required) The name of this credentialing request checklist item. - `items.status` (string, required) The status of this credentialing request checklist item. - `items.confirmedAt` (string) The timestamp at which this credentialing request checklist item was confirmed at. - `items.confirmedBy` (string) The name of the user/entity that confirmed this credentialing request checklist item. - `items.verifiedAt` (string) The timestamp at which this credentialing request checklist item was verified at. - `items.source` (string) The source of this credentialing request checklist item. - `items.references` (object) - `items.references.providerInfo` (array) If set, array with pairs of provider information ids and provider information types linked to the provider of the credentialing request. - `items.references.providerInfo.providerInfoId` (string) Unique identifier of the provider info, this id must be linked to the provider of the credentialing request. - `items.references.providerInfo.providerInfoType` (string) Types of provider info supported. Enum: "BasicInfo", "Caqh", "LiabilityInsurance", "Education", "Training", "WorkHistory", "DeaRegistrations", "Licenses", "BoardCertifications", "Certificates", "MedicaidEnrollment" - `items.references.facilityInfo` (array) If set, array with sets of facility info ids and facility info types that are linked to the credentialing request. - `items.references.facilityInfo.facilityInfoId` (string) Unique identifier of the facility info. This info must be linked to one or more specialties on the credentialing request. - `items.references.facilityInfo.facilityInfoType` (string) Type of facility info. Enum: "Npi", "Dea", "LiabilityInsurance", "License", "Accreditation", "CmsCertification", "MedicareEnrollment" - `items.references.licenseVerifications` (array) If set, array with pairs of license ids and license verifications ids linked to the provider of the credentialing request. - `items.references.licenseVerifications.licenseId` (string) Unique identifier of the license id, this id must be linked to the provider of the credentialing request. - `items.references.licenseVerifications.licenseVerificationId` (string) Unique identifier of the license verification id, this id must be linked to the license id. - `items.references.datasetScans` (array) If set, array with dataset scan ids linked to the provider of the credentialing request. - `items.references.datasetScans.datasetScanId` (string) Unique identifier of the dataset scan id, this id must be linked to the provider of the credentialing request. - `items.references.files` (array) If set, array with file paths linked to the provider of the credentialing request. - `items.references.files.filePath` (string) File path to a provider file, this path must be linked to the provider of the credentialing request. - `items.references.profiles` (array) If set, array with profiles linked to the provider of the credentialing request. - `items.references.profiles.profileId` (string) Unique identifier of the provider profile id, this id must be linked to the provider of the credentialing request. - `items.references.facilitySpecialties` (array) If set, array with facility specialty ids that this credentialing request item applies to. - `items.references.facilitySpecialties.facilitySpecialtyId` (string) Unique identifier of the facility specialty. - `details` (object) - `details.organization` (string) The organization of this credentialing request checklist. - `details.providerType` (string) The type of provider of this credentialing request checklist. - `details.providerName` (string) The name of the provider of this credentialing request checklist. - `details.started` (string) The timestamp at which this credentialing request checklist was started at. - `details.completed` (string) The timestamp at which this credentialing request checklist was completed at. ## Response 204 fields (application/json): - `statusCode` (integer) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields